/* FILE: fixedscalarfield.cc      -*-Mode: c++-*-
 *
 * Abstract Oxs_FixedScalarField class, derives from Oxs_Ext.
 * This is effectively an Oxs_Ext version of Oxs_MeshValue<REAL8m>.
 */

#include "fixedscalarfield.h"

/* End includes */

////////////////////////////////////////////////////////////////////////
// Oxs_FixedScalarField (generic Oxs_Ext scalar field) class

// Constructors
Oxs_FixedScalarField::Oxs_FixedScalarField
( const char* name,     // Child instance id
  Oxs_Director* newdtr  // App director
  ) : Oxs_Ext(name,newdtr)
{}

Oxs_FixedScalarField::Oxs_FixedScalarField
( const char* name,     // Child instance id
  Oxs_Director* newdtr, // App director
  Tcl_Interp* safe_interp, // Safe interpreter
  const char* argstr    // MIF block argument string
  ) : Oxs_Ext(name,newdtr,safe_interp,argstr)
{}

