/* FILE: fixedvectorfield.cc      -*-Mode: c++-*-
 *
 * Abstract Oxs_FixedVectorField class, derives from Oxs_Ext.
 * This is effectively an Oxs_Ext version of Oxs_MeshValue<REAL8m>.
 */

#include "fixedvectorfield.h"

/* End includes */

////////////////////////////////////////////////////////////////////////
// Oxs_FixedVectorField (generic Oxs_Ext vector field) class

// Constructors
Oxs_FixedVectorField::Oxs_FixedVectorField
( const char* name,     // Child instance id
  Oxs_Director* newdtr  // App director
  ) : Oxs_Ext(name,newdtr)
{}

Oxs_FixedVectorField::Oxs_FixedVectorField
( const char* name,     // Child instance id
  Oxs_Director* newdtr, // App director
  Tcl_Interp* safe_interp, // Safe interpreter
  const char* argstr    // MIF block argument string
  ) : Oxs_Ext(name,newdtr,safe_interp,argstr)
{}
